services:
  searxng:
    container_name: searxng
    image: docker.io/searxng/searxng:latest
    restart: unless-stopped
    ports:
      - "8080:8080"
    volumes:
      - /opt/Docker-Deployments/searxng:/etc/searxng:rw
      - /opt/Docker-Deployments/searxng_cache:/var/cache/searxng:rw
    environment:
      - SEARXNG_BASE_URL=https://search.mikemcfetridge.com
      - UWSGI_WORKERS=${SEARXNG_UWSGI_WORKERS:-4}
      - UWSGI_THREADS=${SEARXNG_UWSGI_THREADS:-4}
    healthcheck:
      test: [ "CMD", "curl", "-f", "http://localhost:8080" ]
      interval: 10s
      retries: 3
      timeout: 10s
      start_period: 30s
      #